Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V2006 Release 0308
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.init
Class InitUtility

    java.lang.Object
      org.jdesktop.jdic.init.InitUtility

    public class InitUtility

extends java.lang.Object

Utility class for JDIC initialization.

Since:
  August 20, 2004

Constructor Summary
`InitUtility()`

Method Summary
`static java.lang.String` | `getEnv(java.lang.String envVarName)` Gets the value of the environment variable.
`static void` | `preAppendEnv(java.lang.String envVarName, java.lang.String appendValue)` Pre-appends the value to the environment variable.
`static void` | `setEnv(java.lang.String envVarName, java.lang.String envValue)` Sets the environment variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitUtility

    public InitUtility()

Method Detail

### getEnv

    public static java.lang.String getEnv(java.lang.String envVarName)

  Gets the value of the environment variable.

  Parameters:
    `envVarName` - The name of the environment variable.
  Returns:
    The value of the environment variable.

### setEnv

    public static void setEnv(java.lang.String envVarName,
                              java.lang.String envValue)

  Sets the environment variable.

  Parameters:
    `envVarName` - The name of the environment variable.
    `envValue` - The value to be set.

### preAppendEnv

    public static void preAppendEnv(java.lang.String envVarName,
                                    java.lang.String appendValue)

  Pre-appends the value to the environment variable.

  Parameters:
    `envVarName` - environment variable name.
    `appendValue` - new value to be appended.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V2006 Release 0308
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.